# -*- coding: utf-8 -*-
# Copyright (c) Alibaba, Inc. and its affiliates.

# docstyle-ignore
ALBUMENTATIONS_IMPORT_ERROR = """
{0} requires the albumentations library but it was not found in your environment. You can install it with pip:
`pip install albumentations`
"""

# docstyle-ignore
SENTENCEPIECE_IMPORT_ERROR = """
{0} requires the SentencePiece library but it was not found in your environment. Checkout the instructions on the
installation page of its repo: https://github.com/google/sentencepiece#installation and follow the ones
that match your environment.
"""

# docstyle-ignore
SKLEARN_IMPORT_ERROR = """
{0} requires the scikit-learn library but it was not found in your environment. You can install it with:
```
pip install -U scikit-learn
```
In a notebook or a colab, you can install it by executing a cell with
```
!pip install -U scikit-learn
```
"""

# docstyle-ignore
TIMM_IMPORT_ERROR = """
{0} requires the timm library but it was not found in your environment. You can install it with pip:
`pip install timm`
"""

# docstyle-ignore
SCEPTER_IMPORT_ERROR = """
{0} requires the scepter library but it was not found in your environment. You can install it with pip:
`pip install scepter`
"""

# docstyle-ignore
PYTORCH_IMPORT_ERROR = """
{0} requires the PyTorch library but it was not found in your environment. Checkout the instructions on the
installation page: https://pytorch.org/get-started/locally/ and follow the ones that match your environment.
"""

WENETRUNTIME_IMPORT_ERROR = """
{0} requires the wenetruntime library but it was not found in your environment. You can install it with pip:
`pip install wenetruntime==TORCH_VER`
"""

# docstyle-ignore
TORCHVISION_IMPORT_ERROR = """
{0} requires the scipy library but it was not found in your environment. You can install it with pip:
`pip install torchvision`
"""

# docstyle-ignore
OPENCV_IMPORT_ERROR = """
{0} requires the opencv library but it was not found in your environment. You can install it with pip:
`pip install opencv-python`
"""

PILLOW_IMPORT_ERROR = """
{0} requires the Pillow library but it was not found in your environment. You can install it with pip:
`pip install Pillow`
"""

MODELSCOPE_IMPORT_ERROR = """
{0} requires the modelscope library but it was not found in your environment. You can install it with pip:
`pip install modelscope`
"""

FLASH_ATTN_IMPORT_ERROR = """
{0} requires the flash_attn library but it was not found in your environment. You can install it with pip:
`pip install flash_attn==2.5.8`
"""

XFORMERS_IMPORT_ERROR = """
{0} requires the xformers library but it was not found in your environment. You can install it with pip:
`pip install xformers`
"""

DECORD_IMPORT_ERROR = """
{0} requires the decord library but it was not found in your environment. You can install it with pip:
`pip install decord>=0.6.0`
"""

# docstyle-ignore
BEAUTIFULSOUP4_IMPORT_ERROR = """
{0} requires the decord library but it was not found in your environment. You can install it with pip:
`pip install beautifulsoup4`
"""

# docstyle-ignore
BEZIER_IMPORT_ERROR = """
{0} requires the beizer library but it was not found in your environment. You can install it with pip:
`pip install beizer`
"""

# docstyle-ignore
EINOPS_IMPORT_ERROR = """
{0} requires the einops library but it was not found in your environment. You can install it with pip:
`pip install einops`
"""

# docstyle-ignore
EASYNLP_IMPORT_ERROR = """
{0} requires the easynlp library but it was not found in your environment.
You can install it with pip on linux or mac:
`pip install pai-easynlp -f https://modelscope.oss-cn-beijing.aliyuncs.com/releases/repo.html`
Or you can checkout the instructions on the
installation page: https://github.com/alibaba/EasyNLP and follow the ones that match your environment.
"""

# docstyle-ignore
NUMPY_IMPORT_ERROR = """
{0} requires the megatron_util library but it was not found in your environment. You can install it with pip:
`pip install numpy`
"""

# docstyle-ignore
OSS2_IMPORT_ERROR = """
{0} requires the oss2 library but it was not found in your environment. You can install it with pip:
`pip install oss2`
"""

# docstyle-ignore
PYCOCOTOOLS_IMPORT_ERROR = """
{0} requires the pycocotools library but it was not found in your environment. You can install it with pip:
`pip install pycocotools`
"""

# docstyle-ignore
OPENCLIP_IMPORT_ERROR = """
{0} requires the fasttext library but it was not found in your environment.
You can install it with pip on linux or mac:
`pip install open_clip_torch`
Or you can checkout the instructions on the
installation page: https://github.com/mlfoundations/open_clip and follow the ones that match your environment.
"""

# docstyle-ignore
PYYAML_IMPORT_ERROR = """
{0} requires the pyyaml library but it was not found in your environment. You can install it with pip:
`pip install pyyaml`
"""

# docstyle-ignore
SWIFT_IMPORT_ERROR = """
{0} requires the ms-swift library but it was not found in your environment. You can install it with pip:
`pip install ms-swift`
"""

SCIKIT_IMAGE_IMPORT_ERROR = """
{0} requires the ms-swift library but it was not found in your environment. You can install it with pip:
`pip install scikit-image`
"""

SCIKIT_LEARN_IMPORT_ERROR = """
{0} requires the ms-swift library but it was not found in your environment. You can install it with pip:
`pip install scikit-learn`
"""

TORCHSDE_IMPORT_ERROR = """
{0} requires the ms-swift library but it was not found in your environment. You can install it with pip:
`pip install torchsde
"""

BITSANDBYTES_IMPORT_ERROR = """
{0} requires the ms-swift library but it was not found in your environment. You can install it with pip:
`pip install bitsandbytes
"""

GRADIO_IMAGESLIDER_IMPORT_ERROR = """
{0} requires the ms-swift library but it was not found in your environment. You can install it with pip:
`pip install gradio_imageslider
"""

IMAGEHASH_IMPORT_ERROR = """
{0} requires the ms-swift library but it was not found in your environment. You can install it with pip:
`pip install imagehash
"""

PSUTIL_IMPORT_ERROR = """
{0} requires the ms-swift library but it was not found in your environment. You can install it with pip:
`pip install psutil
"""

TIKTOKEN_IMPORT_ERROR = """
{0} requires the ms-swift library but it was not found in your environment. You can install it with pip:
`pip install tiktoken
"""

TRANSFORMERS_IMPORT_ERROR = """
{0} requires the transformers library but it was not found in your environment. You can install it with pip:
`pip install transformers`
"""

GENERAL_IMPORT_ERROR = """
{0} requires the REQ library but it was not found in your environment. You can install it with pip:
`pip install REQ`
"""

GRADIO_IMPORT_ERROR = """
{0} requires the gradio library but it was not found in your environment. You can install it with pip:
`pip install gradio`
"""